MsWks4TextInternal Namespace Reference documentation

Classes | Enumerations | Functions
MsWks4TextInternal Namespace Reference

Internal: the structures of a MsWks4Text. More...

## Classes
struct | DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | Font
| Internal: class to store a font properties. More...
class | FontName
| Internal: class to store a font name: name with sysid. More...
struct | Ftnt
| Internal: class to store footnote definition. More...
struct | Object
| Internal: class to store field definition: TOKN entry. More...
struct | Paragraph
| Internal: class to store a paragraph properties. More...
struct | State
| Internal: the state of a MsWks4Text. More...
struct | Token
| Internal: class to store field definition: TOKN entry. More...

## Enumerations
enum | PLCType { BTE =0, PGD, FTNT, TOKEN, EOBJ, Unknown }
| different types More...

## Functions
std::ostream & | operator<< (std::ostream &o, FontName const &ft)
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< for a font More...
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...
std::ostream & | operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< for footnote More...
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<< for Token More...
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< for Object More...
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC More...

## Detailed Description

Internal: the structures of a MsWks4Text.

## Enumeration Type Documentation

## ◆ PLCType

enum MsWks4TextInternal::PLCType

different types

- BTE: font/paragraph properties
- PGD: page break
- FTNT: footnote
- TOKEN: field type

Enumerator
BTE |
PGD |
FTNT |
TOKEN |
EOBJ |
Unknown |

## Function Documentation

## ◆ operator<<() [1/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

operator<< for DataPLC

operator<<

## ◆ operator<<() [2/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

operator<< for a font

operator <<

## ◆ operator<<() [3/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | FontName const & | ft
| ) |  |

## ◆ operator<<() [4/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | Ftnt const & | ftnt
| ) |  |

operator<< for footnote

operator<<

## ◆ operator<<() [5/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |

operator<< for Object

operator <<

## ◆ operator<<() [6/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |

operator<<

operator <<

## ◆ operator<<() [7/7]

std::ostream& MsWks4TextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

operator<< for Token

operator <<